:root {
    font-family: sans-serif;
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

body {
    background-color: #eee;
    margin: 0;
    padding: 0;
}

.page {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 2em auto 1fr 1fr 3em;
    gap: 0.5em;
    grid-template-areas:
        "header   header"
        "toolbar  toolbar"
        "main     login"
        "main     signup"
        "footer   footer"
    ;
    height: 100vh;
    width: 99vw;
}

.header {
    grid-area: header;
    font-size: 2rem;
    color: orange;
}

.toolbar {
    grid-area: toolbar;
    display: flex;
    background-color: rgba(0, 77, 200, 0.842);
    list-style-type: none;
    padding: 0.3em;
    border-radius: 0.25em;
}

.main {
    grid-area: main;
    background-color: #fff;
    padding: 1em;
    border-radius: 1em;
    text-transform: capitalize;
}

.login {
    grid-area: login;
    padding: 0.6em;
    background-color: #fff;
    border-radius: 1em;
    margin-bottom: 2em;
}

.signup {
    grid-area: signup;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    border: 0.1em solid green;
    text-align: center;
    padding: 0.5em;
    background-color: #fff;
}

.footer {
    grid-area: footer;
    background-color: #aaa;
    color: #fff;
    padding: 1em 0.5em;
    text-align: center;
}


.header span:first-child {
    font-weight: 600;
}

.header span:last-child {
    font-style: italic;
    font-weight: 100;
}

.toolbar a {
    color: #fff;
    display: block;
    padding: 0.3em 1em;
    background-color: orange;
    margin-right: 0.5em;
    border-radius: 0.2em;
    text-decoration: none;
}

.toolbar a:hover {
    background-color: orangered;
    box-shadow: 2px 2px 4px #555;
}

.toolbar li:last-child {
    margin-left: auto;
}


.login h3 {
    text-align: right;
    font-variant: small-caps;
    color: #aaa;
}

.login form>div {
    margin-top: 1.25em;
}

.login label {
    display: block;
    text-transform: capitalize;
    font-weight: 600;
    padding-bottom: 0.1em;
}

.login input {
    display: block;
    width: 90%;
    padding: 0.5em;
    font-family: monospace;
    font-size: 1rem;
}

.login form button {
    margin-top: 1em;
    background-color: #fff;
    border: 2px solid orange;
    border-radius: 0.25em;
    padding: 0.1em 1em;
    font-size: 1.25rem;
}


.signup h3 {
    text-transform: capitalize;
    font-variant: small-caps;
    font-size: 1.2rem;
    color: #777;
}

.signup .cost {
    display: flex;
    justify-content: center;
    margin: 2em 0;
    line-height: 0.7;
}

.signup .cost .currency {
    font-size: 2rem;
    align-self: center;
}

.signup .cost .amount {
    font-size: 5rem;
}

.signup .cost .fraction {
    font-size: 1.5rem;
    align-self: flex-start;
}

.signup .cta {
    display: block;
    background-color: #cc6b5a;
    color: #fff;
    padding: 0.5em 1em;
    text-decoration: none;
}

.signup .cta:hover {
    box-shadow: 2px 2px 5px #ccc;
    font-weight: bold;
}